/*

NSPasteboard-NIRAdditionsTest.h

DirectionService - controll writting direction
Copyright (C) 2003 Nir Soffer

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details: http://www.gnu.org/licenses/gpl.html

*/

#import <ObjcUnit/ObjcUnit.h>

@ class NSPasteboard, NSColor;


@interface NSPasteboardNIRAdditionsTest : TestCase
{
    NSPasteboard *pboard;
    NSData *userDefinedData;
    NSColor *color;
    NSString *string;
    NSAttributedString *attString;
    NSAttributedString *attStringWithAttachment;
}
- (NSAttributedString *)attributedStringFromString:(NSString *)string
                                        attachment:(NSString *)attachment;
- (NSDictionary *)testObjects;

@end
